تحريك الرسم لأسفل لإضافة عنوان
Contents
[
Hide
]كيفية تحريك الرسم لأسفل لإضافة عنوان
المشكلة: كيفية تحريك الرسم لأسفل لإضافة عنوان (CADNET-980).
نصائح: للقيام بذلك، أنشئ كائن CadText مع المعلمات، أضف هذه الكتلة إلى الرسم، ثم قم بتحديث الرسم بالأبعاد الجديدة باستخدام UpdateSize، أضف خطًا متقطعًا يكون إطارًا حول الرسم، أضف خطًا متقطعًا إلى BlockEntities["*Model_Space"] وقم بالتحديث مرة أخرى باستخدام UpdateSize.
مثال:
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
using (CadImage cadImage = (CadImage)Image.Load(GetPath(fileName))) | |
{ | |
CadText text = new CadText(); | |
text.DefaultValue = "CAD Drawing"; | |
text.TextHeight = 5; | |
// second alignment point is required in case text is aligned (first alignment point is ignored) | |
text.SecondAlignmentPoint = new Cad3DPoint(cadImage.Width / 2, cadImage.Height - text.TextHeight); | |
text.HorizontalJustification = 1; | |
text.ObjectHandle = "bebebebe";//Guid.NewGuid().ToString(); | |
text.LayerName = "0"; | |
text.SoftOwner = cadImage.Layouts["Model"].BlockTableRecordHandle; | |
cadImage.BlockEntities["*Model_Space"].AddEntity(text); | |
// should be called because we need to add one more entity using new size of image | |
cadImage.UpdateSize(); | |
// add polyline that is a border around the drawing | |
CadLwPolyline lwPolyline = new CadLwPolyline(); | |
lwPolyline.Coordinates = new List<Cad2DPoint>(); | |
lwPolyline.Coordinates.Add(new Cad2DPoint(cadImage.MinPoint.X - 20, cadImage.MinPoint.Y - 20)); | |
lwPolyline.Coordinates.Add(new Cad2DPoint(cadImage.MinPoint.X - 20, cadImage.MaxPoint.Y + 20)); | |
lwPolyline.Coordinates.Add(new Cad2DPoint(cadImage.MaxPoint.X + 20, cadImage.MaxPoint.Y + 20)); | |
lwPolyline.Coordinates.Add(new Cad2DPoint(cadImage.MaxPoint.X + 20, cadImage.MinPoint.Y - 20)); | |
cadImage.BlockEntities["*Model_Space"].AddEntity(lwPolyline); | |
// should be called because adding of new entity may change size of drawing | |
cadImage.UpdateSize(); | |
// remove border polyline after drawing is updated | |
cadImage.RemoveEntity(lwPolyline); | |
CadRasterizationOptions rasterizationOptions = new CadRasterizationOptions(); | |
PdfOptions pdfOptions = new PdfOptions(); | |
pdfOptions.VectorRasterizationOptions = rasterizationOptions; | |
cadImage.Save(outPath, pdfOptions); | |
} |